### Method

# Peas Engine set_loaded_plugins

#### Declaration [src]

    void
    peas_engine_set_loaded_plugins (
      PeasEngine* engine,
      const gchar** plugin_names
    )

#### Description [src]

Sets the list of loaded plugins for `engine`.

When this function is called, the `PeasEngine` will load all the plugins whose names are in `plugin_names`, and ensures all other active plugins are unloaded.

If `plugin_names` is `NULL`, all plugins will be unloaded.

Sets property | `Peas.Engine:loaded-plugins`

#### Parameters

`plugin_names`

  Type: An array of `gchar*`

  A `NULL`-terminated array of plugin names, or `NULL`.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.